
#version 130              // delete this line if using GLSL 1.2
precision mediump float;  // delete this line if using GLSL 1.2

// uniform shader-parameters
uniform mat4 perspective;
uniform vec4 backcolor;
uniform vec4 transp;

// vertex-shader input variables
in vec4 color;
in vec4 vertex;
in vec2 texture;

out vec4 frag_color;
out vec2 texture_coordinates;
out vec4 back_color;
out vec4 transp_out;

void main()
{
    frag_color = color;
    back_color = backcolor;
    texture_coordinates = texture;
    transp_out = transp;
    gl_Position = perspective * vertex;
}
