
#version 130              // delete this line if using GLSL 1.2
precision mediump float;  // delete this line if using GLSL 1.2

uniform float zeit;

// fragment-shader input variables
in vec4 frag_color;

// fragment-shader output variable (-> stored in the frame-buffer, i.e. "the pixel you see")
out vec4 fragColor;


void main()
{
        float ma = 0;
        float mi = 0;

        float inv = 1;
        if (zeit >= 0.0f && zeit < 1.0f) {
                ma = 1.0;
                mi = 0.0;
                //inv = -1;
                
        }
        else if (zeit >= 1.0f && zeit < 2.0f) {
                ma = 2.0;
                mi = 1.0;
                inv = -1;
        }
        else if (zeit >= 2.0f && zeit < 3.0f) {
                ma = 3.0;
                mi = 2.0;
                //inv = -1;
                
        }
        else if (zeit >= 3.0f && zeit < 4.0f) {
                ma = 4.0;
                mi = 3.0;
                inv = -1;
        }
        else if (zeit >= 4.0f && zeit < 5.0f) {
                ma = 5.0;
                mi = 4.0;
                //inv = -1;
        }


        float noma = 1.0;
        float curp = zeit - mi;
        float newVal = curp / noma;
       
        if (inv == -1)
                newVal = 1 - newVal;

        vec4 newColor = vec4(frag_color.r * newVal + 0.25f, frag_color.g * newVal + 0.25f, frag_color.b * newVal + 0.25f, 1.0);

        fragColor = newColor;
}
